snd_pcm_lib_malloc_pages
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_lib_malloc_pages — allocate the DMA buffer

## Synopsis

`int snd_pcm_lib_malloc_pages (` | struct snd_pcm_substream * | substream,
| size_t | size`)`;

## Arguments

`substream`

  the substream to allocate the DMA buffer to

`size`

  the requested buffer size in bytes

## Description

Allocates the DMA buffer on the BUS type given earlier to `snd_pcm_lib_preallocate_xxx_pages`.

Returns 1 if the buffer is changed, 0 if not changed, or a negative code on failure.

Prev | Up | Next
snd_pcm_sgbuf_ops_page | Home | snd_pcm_lib_free_pages